Last Comment Bug 694119 - CfgLister case LIR_jtbl asserts.
: CfgLister case LIR_jtbl asserts.
Status: RESOLVED FIXED
fixed-in-nanojit, fixed-in-tamarin
:
Product: Core Graveyard
Classification: Graveyard
Component: Nanojit (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Edwin Smith
:
:
Mentors:
Depends on:
Blocks: halfmoon
  Show dependency treegraph
 
Reported: 2011-10-12 13:29 PDT by Edwin Smith
Modified: 2014-03-17 08:00 PDT (History)
0 users
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Obvious fix, plus a bit of whitespace cleanup. (1.00 KB, patch)
2011-10-12 13:29 PDT, Edwin Smith
rreitmai: review+
Details | Diff | Splinter Review

Description Edwin Smith 2011-10-12 13:29:09 PDT
Created attachment 566618 [details] [diff] [review]
Obvious fix, plus a bit of whitespace cleanup.

It is calling ins->getTarget() instead of ins->getTarget(i).
Comment 1 Rick Reitmaier 2011-10-12 14:41:49 PDT
Comment on attachment 566618 [details] [diff] [review]
Obvious fix, plus a bit of whitespace cleanup.

r+.

BTW, '[diff] git=true' in your .hgrc file will get rid of the unhelpful file names in bugzilla diff display, assuming this was an hg derived patch.  See 'hg help diffs'
Comment 2 Edwin Smith 2011-10-12 17:14:27 PDT
(In reply to Rick Reitmaier from comment #1)
> Comment on attachment 566618 [details] [diff] [review] [diff] [details] [review]
> Obvious fix, plus a bit of whitespace cleanup.
> 
> r+.
> 
> BTW, '[diff] git=true' in your .hgrc file will get rid of the unhelpful file
> names in bugzilla diff display, assuming this was an hg derived patch.  See
> 'hg help diffs'

yeah, willfix.  need to sync my .hgrc across a couple machines.
Comment 3 Tamarin Bot 2011-10-13 10:54:43 PDT
changeset: 6639:0a6a685cecbc
user:      Edwin Smith <edwsmith>
summary:   Bug 694119 - "CfgLister case LIR_jtbl asserts." [r=rreitmai]

http://hg.mozilla.org/tamarin-redux/rev/0a6a685cecbc

Note You need to log in before you can comment on or make changes to this bug.